FLAIM: FLAIM System Configuration/Information

- Main Page
- Modules
- Classes
- Files

# FLAIM System Configuration/Information
[FLAIM System Functions]

## Functions
FLMEXP RCODE FLMAPI | FlmConfig (eFlmConfigTypes eConfigType, void *pvValue1, void *pvValue2)
| Configure the FLAIM database system.
FLMEXP RCODE FLMAPI | FlmGetConfig (eFlmConfigTypes eConfigType, void *pvValue)
| Get configuration information about the FLAIM database system.
FLMEXP RCODE FLMAPI | FlmGetThreadInfo (F_Pool *pPool, F_THREAD_INFO **ppThreadInfo, FLMUINT *puiNumThreads, const char *pszUrl=NULL)
| Get information on background threads in the FLAIM database system.

## Function Documentation

FLMEXP RCODE FLMAPI FlmConfig | ( | eFlmConfigTypes | eConfigType,
|  | void * | pvValue1,
|  | void * | pvValue2
| ) |

  | Configure the FLAIM database system. Parameters:
  eConfigType | Specified what is to be configured.
  pvValue1 | Parameter for configuration - see documentation for eFlmConfigTypes for specifics.
  pvValue2 | Parameter for configuration - see documentation for eFlmConfigTypes for specifics.

FLMEXP RCODE FLMAPI FlmGetConfig | ( | eFlmConfigTypes | eConfigType,
|  | void * | pvValue
| ) |

  | Get configuration information about the FLAIM database system. Parameters:
  eConfigType | Configuration information to be retrieved.
  pvValue | Configuration information is returned here - see documentation for eFlmConfigTypes for what will be returned for each configuration type.

FLMEXP RCODE FLMAPI FlmGetThreadInfo | ( | F_Pool * | pPool,
|  | F_THREAD_INFO ** | ppThreadInfo,
|  | FLMUINT * | puiNumThreads,
|  | const char * | pszUrl = `NULL`
| ) |

  | Get information on background threads in the FLAIM database system. Parameters:
  pPool | Memory pool for allocating memory. This pool is used to allocate the structures and other buffers that will contain the thread information. To free all of the information, the application only needs to call GedPoolFree().
  ppThreadInfo | Pointer to array of thread information structures is returned here. The memory for these structures is allocated from the memory pool.
  puiNumThreads | Number of structures in the array is returned here.
  pszUrl | URL to use to send thread information request to a remote system (via TCP). This allows information to be collected from a remote FLAIM database system, as opposed to the local FLAIM system running inside the process space.